.\" Copyright (c) 1980 Regents of the University of California.
.\" All rights reserved.  The Berkeley software License Agreement
.\" specifies the terms and conditions for redistribution.
.\"
.\"	@(#)ferror.3s	6.3 (Berkeley) 5/14/86
.\"
.TH FERROR 3  "May 14, 1986"
.UC 4
.SH NAME
ferror, feof, clearerr, fileno \- stream status inquiries
.SH SYNOPSIS
.nf
.ft B
#include <stdio.h>

int feof(FILE *\fIstream\fP)
int ferror(FILE *\fIstream\fP)
int clearerr(FILE *\fIstream\fP)
int fileno(FILE *\fIstream\fP)
.ft R
.fi
.SH DESCRIPTION
.B Feof
returns non-zero when end of file is read on the named input
.IR stream ,
otherwise zero.
Unless cleared by
.BR clearerr ,
the end-of-file indication lasts until
the stream is closed.
.PP
.B Ferror
returns non-zero when an error has occurred reading or writing
the named
.IR stream ,
otherwise zero.
Unless cleared by
.BR clearerr ,
the error indication lasts until
the stream is closed.
.PP
.B Clearerr
resets the error and end-of-file indicators on the named
.IR stream .
.PP
.B Fileno
returns the integer file descriptor
associated with the
.IR stream ,
see
.BR open (2).
.PP
Currently all of these functions
are implemented as macros;
they cannot be redeclared.
.SH "SEE ALSO"
.BR fopen (3),
.BR open (2).
